Open CASCADE, the 3D modelling kernel
3D modeling & numerical simulation

Search the Forums
See All Topics
Open CASCADEShowroomGet it!Developer CornerSupport and ProductsAbout us
Technical overview
Areas of use
Advantages
FAQ
Screenshots
Shape factory
Shape gallery
Demonstrations
What's new
System requirements
Download Center
Public license
Documentation
Getting started
Forums
Open Source community
Training and e-learning
A-la Carte Support
Value-added software
Complementary Components
Customer Corner
Company Profile
Marketing Materials
Contact Us
News
Home / Developer Corner / Forums / Usage issues / sections of a solid - detecting the face of each result

sections of a solid - detecting the face of each result

sections of a solid - detecting the face of each result
Mauro Mariotti 2012/09/19 19:24
Hello,

I am sectioning a solid with a plane, by BRepAlgo_Section (which derives from BRepBuilderAPI_MakeShape).

For each output edge, is it possible to know from which face it was generated?

I have tried an indirect way, with
BRepBuilderAPI_MakeShape::Generated(const TopoDS_Shape &S).
It should do the opposite (from the input shape, find its "children"), but it always returns an empty list.
I have seen that it is specialized in few derived classes, not in BRepAlgo_Section.

Thanks.
Mauro
Forum supervisor 2012/09/20 09:59
Dear Mauro,
OPEN CASCADE has a good experience in solving similar tasks for its customers working with history of modeling entities. We have a sufficient expertise and some re-usable solutions we can offer on a paid basis. Please, do not hesitate to contact us via http://www.opencascade.com/contact/ for more detailed information.
Regards
 
 
Latest news
  • Open CASCADE Technology 6.7.0 is available for download!
  • Open CASCADE Technology 6.6.0 is available for download!
  • Open CASCADE Technology 6.5.5 is available for download!

  • © OPEN CASCADE 2000 - 2014  |  Search  |  Contacts   |  Site map